| Disk ARchive 2.8.3 Full featured and portable backup and archiving tool

Loading...
Searching...
No Matches
Public Member Functions | List of all members
libdar::crit_action Class Referenceabstract
API

the global action for overwriting More...

`#include <crit_action.hpp>`

Inherited by libdar::crit_chain, libdar::crit_chain, libdar::crit_constant_action, libdar::crit_constant_action, libdar::testing, and libdar::testing.

## Public Member Functions
| crit_action (const crit_action &ref)=default
| crit_action (crit_action &&ref) noexcept=default
crit_action & | operator= (const crit_action &ref)=default
crit_action & | operator= (crit_action &&ref) noexcept=default
virtual | ~crit_action ()=default
| the destructor
virtual void | get_action (const cat_nomme &first, const cat_nomme &second, over_action_data &data, over_action_ea &ea) const =0
| the action to take based on the files to compare
virtual crit_action * | clone () const =0
| clone construction method
| crit_action (const crit_action &ref)=default
| crit_action (crit_action &&ref) noexcept=default
crit_action & | operator= (const crit_action &ref)=default
crit_action & | operator= (crit_action &&ref) noexcept=default
virtual | ~crit_action ()=default
| the destructor
virtual void | get_action (const cat_nomme &first, const cat_nomme &second, over_action_data &data, over_action_ea &ea) const =0
| the action to take based on the files to compare
virtual crit_action * | clone () const =0
| clone construction method

## Detailed Description

the global action for overwriting

this class is a generic interface to handle what action to perform on both EA and Data based on two files to evaluate.

Definition at line 80 of file dar64-2.8.3-win64/include/dar/crit_action.hpp.

## Constructor & Destructor Documentation

## ◆ crit_action() [1/2]

libdar::crit_action::crit_action | ( |  | ) |
| inline

Definition at line 83 of file dar64-2.8.3-win64/include/dar/crit_action.hpp.

## ◆ crit_action() [2/2]

libdar::crit_action::crit_action | ( |  | ) |
| inline

Definition at line 83 of file src/libdar/crit_action.hpp.

## Member Function Documentation

## ◆ clone() [1/2]

virtual crit_action * libdar::crit_action::clone | ( |  | ) | const
| pure virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class crit_action hierarchy

Implemented in libdar::crit_chain, libdar::crit_chain, libdar::crit_constant_action, libdar::crit_constant_action, libdar::testing, and libdar::testing.

## ◆ clone() [2/2]

virtual crit_action * libdar::crit_action::clone | ( |  | ) | const
| pure virtual

clone construction method

Returns
  a new object of the same type,

Note
  this method must be implemented in all the leaf classes of the class crit_action hierarchy

Implemented in libdar::crit_chain, libdar::crit_chain, libdar::crit_constant_action, libdar::crit_constant_action, libdar::testing, and libdar::testing.

## ◆ get_action() [1/2]

virtual void libdar::crit_action::get_action | ( | const cat_nomme & | first,
|  | const cat_nomme & | second,
|  | over_action_data & | data,
|  | over_action_ea & | ea ) const
| pure virtual

the action to take based on the files to compare

Parameters

  [in] | first | is the 'in place' inode
  [in] | second | is the 'to be added' inode
  [out] | data | is the action to perform with file's data
  [out] | ea | is the action to perform with file's EA

Implemented in libdar::crit_chain, libdar::crit_chain, libdar::crit_constant_action, libdar::crit_constant_action, libdar::testing, and libdar::testing.

## ◆ get_action() [2/2]

virtual void libdar::crit_action::get_action | ( | const cat_nomme & | first,
|  | const cat_nomme & | second,
|  | over_action_data & | data,
|  | over_action_ea & | ea ) const
| pure virtual

the action to take based on the files to compare

Parameters

  [in] | first | is the 'in place' inode
  [in] | second | is the 'to be added' inode
  [out] | data | is the action to perform with file's data
  [out] | ea | is the action to perform with file's EA

Implemented in libdar::crit_chain, libdar::crit_chain, libdar::crit_constant_action, libdar::crit_constant_action, libdar::testing, and libdar::testing.

The documentation for this class was generated from the following files:

- dar64-2.8.3-win64/include/dar/crit_action.hpp
- src/libdar/crit_action.hpp